Loading...
Searching...
No Matches
apr_redis.h File Reference

Client interface for redis. More...

`#include "apr.h"`
`#include "apr_pools.h"`
`#include "apr_time.h"`
`#include "apr_strings.h"`
`#include "apr_network_io.h"`
`#include "apr_ring.h"`
`#include "apr_buckets.h"`
`#include "apr_reslist.h"`
`#include "apr_hash.h"`
Include dependency graph for apr_redis.h:

Go to the source code of this file.

## Data Structures

struct | apr_redis_server_t
struct | apr_redis_t
struct | apr_redis_stats_t

## Macros

#define | RC_DEFAULT_SERVER_PORT 6379
#define | RC_DEFAULT_SERVER_MIN 0
#define | RC_DEFAULT_SERVER_SMAX 1
#define | RC_DEFAULT_SERVER_TTL 600

## Typedefs

typedef struct apr_redis_conn_t | apr_redis_conn_t
typedef struct apr_redis_server_t | apr_redis_server_t
typedef struct apr_redis_t | apr_redis_t
typedef apr_uint32_t(* | apr_redis_hash_func) (void *baton, const char *data, const apr_size_t data_len)
typedef apr_redis_server_t *(* | apr_redis_server_func) (void *baton, apr_redis_t *rc, const apr_uint32_t hash)

## Enumerations

enum | apr_redis_server_status_t { APR_RC_SERVER_LIVE , APR_RC_SERVER_DEAD }
enum | apr_redis_server_role_t { APR_RS_SERVER_MASTER , APR_RS_SERVER_SLAVE , APR_RS_SERVER_UNKNOWN }

## Functions

apr_uint32_t | apr_redis_hash (apr_redis_t *rc, const char *data, const apr_size_t data_len)
apr_uint32_t | apr_redis_hash_crc32 (void *baton, const char *data, const apr_size_t data_len)
apr_uint32_t | apr_redis_hash_default (void *baton, const char *data, const apr_size_t data_len)
apr_redis_server_t * | apr_redis_find_server_hash (apr_redis_t *rc, const apr_uint32_t hash)
apr_redis_server_t * | apr_redis_find_server_hash_default (void *baton, apr_redis_t *rc, const apr_uint32_t hash)
apr_status_t | apr_redis_add_server (apr_redis_t *rc, apr_redis_server_t *server)
apr_redis_server_t * | apr_redis_find_server (apr_redis_t *rc, const char *host, apr_port_t port)
apr_status_t | apr_redis_enable_server (apr_redis_t *rc, apr_redis_server_t *rs)
apr_status_t | apr_redis_disable_server (apr_redis_t *rc, apr_redis_server_t *rs)
apr_status_t | apr_redis_server_create (apr_pool_t *p, const char *host, apr_port_t port, apr_uint32_t min, apr_uint32_t smax, apr_uint32_t max, apr_uint32_t ttl, apr_uint32_t rwto, apr_redis_server_t **ns)
apr_status_t | apr_redis_create (apr_pool_t *p, apr_uint16_t max_servers, apr_uint32_t flags, apr_redis_t **rc)
apr_status_t | apr_redis_getp (apr_redis_t *rc, apr_pool_t *p, const char *key, char **baton, apr_size_t *len, apr_uint16_t *flags)
apr_status_t | apr_redis_set (apr_redis_t *rc, const char *key, char *baton, const apr_size_t data_size, apr_uint16_t flags)
apr_status_t | apr_redis_setex (apr_redis_t *rc, const char *key, char *baton, const apr_size_t data_size, apr_uint32_t timeout, apr_uint16_t flags)
apr_status_t | apr_redis_delete (apr_redis_t *rc, const char *key, apr_uint32_t timeout)
apr_status_t | apr_redis_version (apr_redis_server_t *rs, apr_pool_t *p, char **baton)
apr_status_t | apr_redis_info (apr_redis_server_t *rs, apr_pool_t *p, char **baton)
apr_status_t | apr_redis_incr (apr_redis_t *rc, const char *key, apr_int32_t inc, apr_uint32_t *new_value)
apr_status_t | apr_redis_decr (apr_redis_t *rc, const char *key, apr_int32_t inc, apr_uint32_t *new_value)
apr_status_t | apr_redis_ping (apr_redis_server_t *rs)
apr_status_t | apr_redis_multgetp (apr_redis_t *rc, apr_pool_t *temp_pool, apr_pool_t *data_pool, apr_hash_t *values)
apr_status_t | apr_redis_stats (apr_redis_server_t *rs, apr_pool_t *p, apr_redis_stats_t **stats)

## Detailed Description

Client interface for redis.

Remarks
  To use this interface you must have a separate redis for more information.